Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::FrameBufferAttachment Class Reference

List of all members.

## Public Member Functions
| FrameBufferAttachment ()
| FrameBufferAttachment (const FrameBufferAttachment &copy)
| FrameBufferAttachment (RenderBuffer *target)
| FrameBufferAttachment (Texture1D *target, int level=0)
| FrameBufferAttachment (Texture2D *target, int level=0)
| FrameBufferAttachment (Texture3D *target, int zoffset, int level=0)
| FrameBufferAttachment (TextureCubeMap *target, int face, int level=0)
| FrameBufferAttachment (TextureRectangle *target)
| FrameBufferAttachment (CameraNode::Attachment &attachment)
| ~FrameBufferAttachment ()
FrameBufferAttachment & | operator= (const FrameBufferAttachment &copy)
void | createRequiredTexturesAndApplyGenerateMipMap (State &state, const FBOExtensions *ext) const
void | attach (State &state, GLenum attachment_point, const FBOExtensions *ext) const
int | compare (const FrameBufferAttachment &fa) const

## Constructor & Destructor Documentation

osg::FrameBufferAttachment::FrameBufferAttachment | ( |  | ) |

osg::FrameBufferAttachment::FrameBufferAttachment | ( | const FrameBufferAttachment & | copy | ) |

osg::FrameBufferAttachment::FrameBufferAttachment | ( | RenderBuffer * | target | ) | `[explicit]`

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture1D * | target,
|  | int | level = 0
| ) | `[explicit]`

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture2D * | target,
|  | int | level = 0
| ) | `[explicit]`

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture3D * | target,
|  | int | zoffset,
|  | int | level = 0
| ) | `[explicit]`

osg::FrameBufferAttachment::FrameBufferAttachment | ( | TextureCubeMap * | target,
|  | int | face,
|  | int | level = 0
| ) | `[explicit]`

osg::FrameBufferAttachment::FrameBufferAttachment | ( | TextureRectangle * | target | ) | `[explicit]`

osg::FrameBufferAttachment::FrameBufferAttachment | ( | CameraNode::Attachment & | attachment | ) | `[explicit]`

osg::FrameBufferAttachment::~FrameBufferAttachment | ( |  | ) |

## Member Function Documentation

void osg::FrameBufferAttachment::attach | ( | State & | state,
|  | GLenum | attachment_point,
|  | const FBOExtensions * | ext
| ) | const

int osg::FrameBufferAttachment::compare | ( | const FrameBufferAttachment & | fa | ) | const

void osg::FrameBufferAttachment::createRequiredTexturesAndApplyGenerateMipMap | ( | State & | state,
|  | const FBOExtensions * | ext
| ) | const

FrameBufferAttachment& osg::FrameBufferAttachment::operator= | ( | const FrameBufferAttachment & | copy | ) |

The documentation for this class was generated from the following file:

- FrameBufferObject